// Copyright (c) 2024 Celestino Amoroso (celestino.amoroso@gmail.com).
// All rights reserved.

// func-common.go
package expr

import (
	"fmt"
)

func errOneParam(funcName string) error {
	return fmt.Errorf("%s() requires exactly one param", funcName)
}

func errCantConvert(funcName string, value any, kind string) error {
	return fmt.Errorf("%s() can't convert %T to %s", funcName, value, kind)
}
